SET DB_CLOSE_DELAY -1;
;
CREATE USER IF NOT EXISTS PSQUARED SALT '0ab6625e649034e3' HASH '497cfd9db7327449e689c8adfd80895b55033e527367858eae7a0a345b5fd00d' ADMIN;
CREATE SEQUENCE PUBLIC.HIBERNATE_SEQUENCE START WITH 1;
CREATE CACHED TABLE PUBLIC.BASEMAPPING2(
    MAPPINGKEY INTEGER NOT NULL,
    KEY VARCHAR(255),
    VALUE VARCHAR(255)
);
ALTER TABLE PUBLIC.BASEMAPPING2 ADD CONSTRAINT PUBLIC.CONSTRAINT_2 PRIMARY KEY(MAPPINGKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.BASEMAPPING2;
CREATE CACHED TABLE PUBLIC.BASHSUBMITTER2(
    INSTRUCTION VARCHAR(255) NOT NULL,
    RUNNER VARCHAR(255) NOT NULL,
    SCHEDULERKEY INTEGER NOT NULL
);
ALTER TABLE PUBLIC.BASHSUBMITTER2 ADD CONSTRAINT PUBLIC.CONSTRAINT_C PRIMARY KEY(SCHEDULERKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.BASHSUBMITTER2;
CREATE CACHED TABLE PUBLIC.EXIT2(
    EXITKEY INTEGER NOT NULL,
    NAME VARCHAR(255),
    ORIGIN_STATEKEY INTEGER,
    TARGET_STATEKEY INTEGER NOT NULL
);
ALTER TABLE PUBLIC.EXIT2 ADD CONSTRAINT PUBLIC.CONSTRAINT_3 PRIMARY KEY(EXITKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.EXIT2;
CREATE CACHED TABLE PUBLIC.FAMILY2(
    FAMILYKEY INTEGER NOT NULL,
    ACTIVE BOOLEAN NOT NULL,
    DESCRIPTION VARCHAR(255),
    NAME VARCHAR(255),
    DEFAULTDEFINITION_PROCESSDEFINITIONKEY INTEGER
);
ALTER TABLE PUBLIC.FAMILY2 ADD CONSTRAINT PUBLIC.CONSTRAINT_E PRIMARY KEY(FAMILYKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.FAMILY2;
CREATE CACHED TABLE PUBLIC.LASTWATCHED(
    LASTWATCHEDKEY INTEGER NOT NULL,
    LASTDATETIME TIMESTAMP NOT NULL,
    ROLE VARCHAR(255) NOT NULL
);
ALTER TABLE PUBLIC.LASTWATCHED ADD CONSTRAINT PUBLIC.CONSTRAINT_D PRIMARY KEY(LASTWATCHEDKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.LASTWATCHED;
CREATE CACHED TABLE PUBLIC.NOPSUBMITTER2(
    SCHEDULERKEY INTEGER NOT NULL
);
ALTER TABLE PUBLIC.NOPSUBMITTER2 ADD CONSTRAINT PUBLIC.CONSTRAINT_34 PRIMARY KEY(SCHEDULERKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.NOPSUBMITTER2;
CREATE CACHED TABLE PUBLIC.PAIRING2(
    PAIRINGKEY INTEGER NOT NULL,
    ITEM VARCHAR(255) NOT NULL,
    UUID BINARY,
    INITIALTRANSITION_TRANSITIONKEY INTEGER,
    PROCESSDEFINITION_PROCESSDEFINITIONKEY INTEGER NOT NULL,
    SCHEDULER_SCHEDULERKEY INTEGER NOT NULL
);
ALTER TABLE PUBLIC.PAIRING2 ADD CONSTRAINT PUBLIC.CONSTRAINT_6 PRIMARY KEY(PAIRINGKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PAIRING2;
CREATE CACHED TABLE PUBLIC.POI(
    POINTOFINTERESTKEY INTEGER NOT NULL,
    LEVEL INTEGER,
    STATUS INTEGER,
    WHENOCCURRED TIMESTAMP,
    GUID_POIGUIDKEY INTEGER,
    TYPE_POITYPEKEY INTEGER
);
ALTER TABLE PUBLIC.POI ADD CONSTRAINT PUBLIC.CONSTRAINT_1 PRIMARY KEY(POINTOFINTERESTKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POI;
CREATE CACHED TABLE PUBLIC.POIATTRIBUTE(
    POIATTRIBUTEKEY INTEGER NOT NULL,
    VALUE VARCHAR(255),
    NAME_POIATTRIBUTENAMEKEY INTEGER,
    POINTOFINTEREST_POINTOFINTERESTKEY INTEGER
);
ALTER TABLE PUBLIC.POIATTRIBUTE ADD CONSTRAINT PUBLIC.CONSTRAINT_A PRIMARY KEY(POIATTRIBUTEKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POIATTRIBUTE;
CREATE CACHED TABLE PUBLIC.POIATTRIBUTENAME(
    POIATTRIBUTENAMEKEY INTEGER NOT NULL,
    VALUE VARCHAR(255)
);
ALTER TABLE PUBLIC.POIATTRIBUTENAME ADD CONSTRAINT PUBLIC.CONSTRAINT_3F PRIMARY KEY(POIATTRIBUTENAMEKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POIATTRIBUTENAME;
CREATE CACHED TABLE PUBLIC.POIGUID(
    POIGUIDKEY INTEGER NOT NULL,
    VALUE VARCHAR(255)
);
ALTER TABLE PUBLIC.POIGUID ADD CONSTRAINT PUBLIC.CONSTRAINT_12 PRIMARY KEY(POIGUIDKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POIGUID;
CREATE CACHED TABLE PUBLIC.POITYPE(
    POITYPEKEY INTEGER NOT NULL,
    VALUE VARCHAR(255)
);
ALTER TABLE PUBLIC.POITYPE ADD CONSTRAINT PUBLIC.CONSTRAINT_12E PRIMARY KEY(POITYPEKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POITYPE;
CREATE CACHED TABLE PUBLIC.PROCESSDEFINITION2(
    PROCESSDEFINITIONKEY INTEGER NOT NULL,
    ACTIVE BOOLEAN NOT NULL,
    ARGS VARCHAR(255),
    DESCRIPTION VARCHAR(255),
    FAILURECMD VARCHAR(255),
    NAME VARCHAR(255) NOT NULL,
    ORDINAL INTEGER,
    PROCESSCMD VARCHAR(255) NOT NULL,
    SUCCESSCMD VARCHAR(255),
    DEFAULTSCHEDULER_SCHEDULERKEY INTEGER NOT NULL,
    FAMILY_FAMILYKEY INTEGER NOT NULL
);
ALTER TABLE PUBLIC.PROCESSDEFINITION2 ADD CONSTRAINT PUBLIC.CONSTRAINT_4 PRIMARY KEY(PROCESSDEFINITIONKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROCESSDEFINITION2;
CREATE CACHED TABLE PUBLIC.RABBITMQSUBMITTER2(
    MANAGEMENTSCRIPT VARCHAR(255),
    PROPERTIES VARCHAR(255),
    QUEUE VARCHAR(255) NOT NULL,
    SCHEDULERKEY INTEGER NOT NULL
);
ALTER TABLE PUBLIC.RABBITMQSUBMITTER2 ADD CONSTRAINT PUBLIC.CONSTRAINT_7 PRIMARY KEY(SCHEDULERKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RABBITMQSUBMITTER2;
CREATE CACHED TABLE PUBLIC.SCHEDULER2(
    SCHEDULERKEY INTEGER NOT NULL,
    ACTIVE BOOLEAN NOT NULL,
    DESCRIPTION VARCHAR(255),
    NAME VARCHAR(255) NOT NULL,
    RESUBMIT BOOLEAN NOT NULL
);
ALTER TABLE PUBLIC.SCHEDULER2 ADD CONSTRAINT PUBLIC.CONSTRAINT_F PRIMARY KEY(SCHEDULERKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCHEDULER2;
CREATE CACHED TABLE PUBLIC.SEENITEM(
    SEENITEMKEY INTEGER NOT NULL,
    ITEM VARCHAR(256) NOT NULL,
    LASTWATCHED_LASTWATCHEDKEY INTEGER NOT NULL
);
ALTER TABLE PUBLIC.SEENITEM ADD CONSTRAINT PUBLIC.CONSTRAINT_6A PRIMARY KEY(SEENITEMKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SEENITEM;
CREATE CACHED TABLE PUBLIC.STATE2(
    STATEKEY INTEGER NOT NULL,
    NAME VARCHAR(255)
);
ALTER TABLE PUBLIC.STATE2 ADD CONSTRAINT PUBLIC.CONSTRAINT_9 PRIMARY KEY(STATEKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STATE2;
CREATE CACHED TABLE PUBLIC.TRANSITION2(
    TRANSITIONKEY INTEGER NOT NULL,
    WHENOCCURRED TIMESTAMP NOT NULL,
    EXITIMPL_EXITKEY INTEGER,
    PAIRINGIMPL_PAIRINGKEY INTEGER NOT NULL,
    PRECEDINGTRANSITION_TRANSITIONKEY INTEGER,
    SUCCEEDINGTRANSITION_TRANSITIONKEY INTEGER
);
ALTER TABLE PUBLIC.TRANSITION2 ADD CONSTRAINT PUBLIC.CONSTRAINT_E8 PRIMARY KEY(TRANSITIONKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TRANSITION2;
CREATE CACHED TABLE PUBLIC.TRANSITIONMESSAGE2(
    MESSAGE VARCHAR(255),
    TRANSITIONKEY INTEGER NOT NULL
);
ALTER TABLE PUBLIC.TRANSITIONMESSAGE2 ADD CONSTRAINT PUBLIC.CONSTRAINT_D9 PRIMARY KEY(TRANSITIONKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TRANSITIONMESSAGE2;
ALTER TABLE PUBLIC.SCHEDULER2 ADD CONSTRAINT PUBLIC.UK_5P5SP3VUWOKSV8IVO5YKA6AUC UNIQUE(NAME);
ALTER TABLE PUBLIC.FAMILY2 ADD CONSTRAINT PUBLIC.FKIMDLJ3YQWBGSVKIWWA5IIYXIE FOREIGN KEY(DEFAULTDEFINITION_PROCESSDEFINITIONKEY) REFERENCES PUBLIC.PROCESSDEFINITION2(PROCESSDEFINITIONKEY) NOCHECK;
ALTER TABLE PUBLIC.PAIRING2 ADD CONSTRAINT PUBLIC.FKAVQ779CLMW2EDEVOW42EQY5AJ FOREIGN KEY(INITIALTRANSITION_TRANSITIONKEY) REFERENCES PUBLIC.TRANSITION2(TRANSITIONKEY) NOCHECK;
ALTER TABLE PUBLIC.PAIRING2 ADD CONSTRAINT PUBLIC.FK5XV2POCVSD0OB5BSW89YGEXKD FOREIGN KEY(SCHEDULER_SCHEDULERKEY) REFERENCES PUBLIC.SCHEDULER2(SCHEDULERKEY) NOCHECK;
ALTER TABLE PUBLIC.TRANSITION2 ADD CONSTRAINT PUBLIC.FKGY82KKYWQTW6A7NRDJI5JGH16 FOREIGN KEY(PAIRINGIMPL_PAIRINGKEY) REFERENCES PUBLIC.PAIRING2(PAIRINGKEY) NOCHECK;
ALTER TABLE PUBLIC.POIATTRIBUTE ADD CONSTRAINT PUBLIC.FKT89QJ0M0JXAPDI0MYPKW02XGL FOREIGN KEY(NAME_POIATTRIBUTENAMEKEY) REFERENCES PUBLIC.POIATTRIBUTENAME(POIATTRIBUTENAMEKEY) NOCHECK;
ALTER TABLE PUBLIC.EXIT2 ADD CONSTRAINT PUBLIC.FK5UGREHFM55AV6MJF7D5B5JFY6 FOREIGN KEY(ORIGIN_STATEKEY) REFERENCES PUBLIC.STATE2(STATEKEY) NOCHECK;
ALTER TABLE PUBLIC.PROCESSDEFINITION2 ADD CONSTRAINT PUBLIC.FK620MHH8O1EE3N1WELM2HWVKXE FOREIGN KEY(FAMILY_FAMILYKEY) REFERENCES PUBLIC.FAMILY2(FAMILYKEY) NOCHECK;
ALTER TABLE PUBLIC.TRANSITION2 ADD CONSTRAINT PUBLIC.FKH4GIKKMANX23B9O6Q3NSNE25Q FOREIGN KEY(EXITIMPL_EXITKEY) REFERENCES PUBLIC.EXIT2(EXITKEY) NOCHECK;
ALTER TABLE PUBLIC.BASHSUBMITTER2 ADD CONSTRAINT PUBLIC.FK2JXWL69H27JACA3P14YUNDTTI FOREIGN KEY(SCHEDULERKEY) REFERENCES PUBLIC.SCHEDULER2(SCHEDULERKEY) NOCHECK;
ALTER TABLE PUBLIC.RABBITMQSUBMITTER2 ADD CONSTRAINT PUBLIC.FK32WMJOECUWAT4W2HK88JGLPD FOREIGN KEY(SCHEDULERKEY) REFERENCES PUBLIC.SCHEDULER2(SCHEDULERKEY) NOCHECK;
ALTER TABLE PUBLIC.TRANSITION2 ADD CONSTRAINT PUBLIC.FK1P3SRM9B6SD6CG6U1LW2HASED FOREIGN KEY(SUCCEEDINGTRANSITION_TRANSITIONKEY) REFERENCES PUBLIC.TRANSITION2(TRANSITIONKEY) NOCHECK;
ALTER TABLE PUBLIC.POIATTRIBUTE ADD CONSTRAINT PUBLIC.FKHBMF9108SV87MR5ESWKSO49BR FOREIGN KEY(POINTOFINTEREST_POINTOFINTERESTKEY) REFERENCES PUBLIC.POI(POINTOFINTERESTKEY) NOCHECK;
ALTER TABLE PUBLIC.POI ADD CONSTRAINT PUBLIC.FKGKQLHIVYE5D9X3CA1JWR6H08V FOREIGN KEY(TYPE_POITYPEKEY) REFERENCES PUBLIC.POITYPE(POITYPEKEY) NOCHECK;
ALTER TABLE PUBLIC.TRANSITION2 ADD CONSTRAINT PUBLIC.FKPMIBXY2P0765BQ73NSF20B5SI FOREIGN KEY(PRECEDINGTRANSITION_TRANSITIONKEY) REFERENCES PUBLIC.TRANSITION2(TRANSITIONKEY) NOCHECK;
ALTER TABLE PUBLIC.SEENITEM ADD CONSTRAINT PUBLIC.FKLE7RSA4D2LRPKJAJTUVC6QMYJ FOREIGN KEY(LASTWATCHED_LASTWATCHEDKEY) REFERENCES PUBLIC.LASTWATCHED(LASTWATCHEDKEY) NOCHECK;
ALTER TABLE PUBLIC.POI ADD CONSTRAINT PUBLIC.FKF2ERW9J5MH3342UTU16ON4EGP FOREIGN KEY(GUID_POIGUIDKEY) REFERENCES PUBLIC.POIGUID(POIGUIDKEY) NOCHECK;
ALTER TABLE PUBLIC.NOPSUBMITTER2 ADD CONSTRAINT PUBLIC.FK49BF3RIQ4952PDI56UQP9Y2GM FOREIGN KEY(SCHEDULERKEY) REFERENCES PUBLIC.SCHEDULER2(SCHEDULERKEY) NOCHECK;
ALTER TABLE PUBLIC.PROCESSDEFINITION2 ADD CONSTRAINT PUBLIC.FKS2JIR7F5EDS9BV8CL3HB6AC9T FOREIGN KEY(DEFAULTSCHEDULER_SCHEDULERKEY) REFERENCES PUBLIC.SCHEDULER2(SCHEDULERKEY) NOCHECK;
ALTER TABLE PUBLIC.PAIRING2 ADD CONSTRAINT PUBLIC.FK10OQGGQCXVYXEWJQ9HXSPIY4E FOREIGN KEY(PROCESSDEFINITION_PROCESSDEFINITIONKEY) REFERENCES PUBLIC.PROCESSDEFINITION2(PROCESSDEFINITIONKEY) NOCHECK;
ALTER TABLE PUBLIC.TRANSITIONMESSAGE2 ADD CONSTRAINT PUBLIC.FKM27U5EEK13YE88RKACL736YH7 FOREIGN KEY(TRANSITIONKEY) REFERENCES PUBLIC.TRANSITION2(TRANSITIONKEY) NOCHECK;
ALTER TABLE PUBLIC.EXIT2 ADD CONSTRAINT PUBLIC.FK24DYINW1Q14N9PPEA6ITE6R3H FOREIGN KEY(TARGET_STATEKEY) REFERENCES PUBLIC.STATE2(STATEKEY) NOCHECK;
